gtkmm: Gtk::TreeIterBase Class Reference

gtkmm 4.18.0

Public Member Functions | Static Public Member Functions | Protected Attributes | List of all members
Gtk::TreeIterBase Class Reference
TreeView Classes

Base of TreeIter, TreeRow and TreeNodeChildren. More...

`#include <gtkmm/treeiter.h>`

Inheritance diagram for Gtk::TreeIterBase:
[legend]

## Public Member Functions
| TreeIterBase (const TreeIterBase & other) noexcept
TreeIterBase & | operator= (const TreeIterBase & other) noexcept
| TreeIterBase (TreeIterBase && other) noexcept
TreeIterBase & | operator= (TreeIterBase && other) noexcept
| TreeIterBase ()
| TreeIterBase (const GtkTreeIter * gobject)
GtkTreeIter * | gobj ()
| Provides access to the underlying C instance.
const GtkTreeIter * | gobj () const
| Provides access to the underlying C instance.

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Attributes
GtkTreeIter | gobject_

## Detailed Description

Base of TreeIter, TreeRow and TreeNodeChildren.

Deprecated
  4.10: Use Gio::ListModel instead.

## Constructor & Destructor Documentation

## ◆ TreeIterBase() [1/4]

Gtk::TreeIterBase::TreeIterBase | ( | const TreeIterBase & | other | ) |
| noexcept

## ◆ TreeIterBase() [2/4]

Gtk::TreeIterBase::TreeIterBase | ( | TreeIterBase && | other | ) |
| noexcept

## ◆ TreeIterBase() [3/4]

Gtk::TreeIterBase::TreeIterBase | ( |  | ) |

## ◆ TreeIterBase() [4/4]

Gtk::TreeIterBase::TreeIterBase | ( | const GtkTreeIter * | gobject | ) |
| explicit

## Member Function Documentation

## ◆ get_type()

static GType Gtk::TreeIterBase::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GtkTreeIter * Gtk::TreeIterBase::gobj | ( |  | ) |
| inline

Provides access to the underlying C instance.

## ◆ gobj() [2/2]

const GtkTreeIter * Gtk::TreeIterBase::gobj | ( |  | ) | const
| inline

Provides access to the underlying C instance.

## ◆ operator=() [1/2]

TreeIterBase & Gtk::TreeIterBase::operator= | ( | const TreeIterBase & | other | ) |
| noexcept

## ◆ operator=() [2/2]

TreeIterBase & Gtk::TreeIterBase::operator= | ( | TreeIterBase && | other | ) |
| noexcept

## Member Data Documentation

## ◆ gobject_

GtkTreeIter Gtk::TreeIterBase::gobject_
| protected